package grizzly.tutorial.conncaching;

import java.net.InetSocketAddress;
import java.nio.ByteBuffer;

/**
 * Just a bunch of helper utils for static import.
 * 
 * @author wenboz
 * 
 */
public class Utils {
	
	public static final String PAYLOAD_DELIMITER = "###\n";
	
	public static void trace(String msg) {
		System.out.println(msg);
	}

	public static void trace(Exception ex) {
		ex.printStackTrace();
		System.out.println(ex.getClass().toString() + " : " + ex.getMessage());
	}

	public static InetSocketAddress resolveAddressParam(String addr)
			throws IllegalArgumentException {

		try {
			String[] tuple = addr.split(":");
			return new InetSocketAddress(tuple[0], new Integer(tuple[1]));

		} catch (Exception ex) {
			throw new IllegalArgumentException(addr);
		}
	}

	public static InetSocketAddress resolveAddress(String addr)
			throws IllegalArgumentException {

		try {
			String[] tuple = addr.split(":");
			return new InetSocketAddress(tuple[0].substring(0, tuple[0].indexOf("/")), new Integer(tuple[1]));

		} catch (Exception ex) {
			throw new IllegalArgumentException(addr);
		}
	}

	public static int step(String msg) {
		trace(msg);
		try {
			int c = System.in.read();
			System.in.read();
			System.in.read();
			return c;
		} catch (Exception ex) {
			return 0;
		}
	}
	
	public static String readBuffer(ByteBuffer buffer) {
		byte[] data = new byte[buffer.remaining()];
		int position = buffer.position();
		buffer.get(data);
		buffer.position(position);
		return new String(data);
		
	}
}
